---
# These tasks install http and the php modules.
- name: List of roles
  debug: var=rolescfme

- name: local_user Username
  debug: var=local_user

- name: local_password Password
  debug: var=local_password

- name: encrypt password
  shell: python -c 'import crypt,getpass; print crypt.crypt("{{ local_password }}")'
  register: local_password_crypted

- name: local_password Password
  debug: var=local_password_crypted.stdout

- name: Add privileged user
  user: name={{ local_user }} password={{ local_password_crypted.stdout }} groups="wheel" shell="/bin/bash"



#- name: Install Apache HTTPD server 
#  yum: name={{ item }} state=present
#  with_items:
#   - httpd

#- name: start httpd service
#  service: name=httpd state=started

#- name: Open Port 80
#  firewalld: service=http permanent=true state=enabled

#- name: Start firewalld service
#  service: name=firewalld state=restarted


#- name: insert firewalld rule for httpd
#  firewalld: port={{ httpd_port }}/tcp permanent=true state=enabled immediate=yes

#- name: http service state
#  service: name=httpd state=started enabled=yes

#- name: Configure SELinux to allow httpd to connect to remote database
#  seboolean: name=httpd_can_network_connect_db state=true persistent=yes
